Bug 75306 - Oddball message selection bug
Oddball message selection bug
Product: Red Hat Linux
Classification: Retired
Component: gal (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
: MoveUpstream, Triaged
Depends On:
  Show dependency treegraph
Reported: 2002-10-07 00:55 EDT by Ed Marshall
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-19 19:03:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Marshall 2002-10-07 00:55:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2a) Gecko/20020910

Description of problem:
This is a weird one. Selecting the last two (or more; the important distinction
is that the last message be selected) messages in a folder's message index, then
selecting another random message from the index (hit an arrow key to deselect
the group, or click on another message), then hit 'q' to view the preview of
that message, and you get a blank preview pane. Closing preview and opening
again retains a blank pane. Selecting another message after that, and previewing
it, works again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Select a mail folder with multiple messages in it.
2. Visually select the last two messages in the folder.
3. Select the any message in the folder (use the up or down arrow, or click on
another message), which will deselect the group.
4. Press 'q' to view the preview pane. Note that the message is not displayed.
5. Press 'q' again to hide it, and press it again to see that the message will
still not be displayed.
6. Select another message. The preview pane should display that message.

Additional info:

Obviously, not a huge problem. Just thought it was a weird little oddity.
Comment 1 Jeremy Katz 2002-10-07 18:11:00 EDT
I can't reproduce this here locally... is it always reproducible for you?  Tied
in any way maybe to HTML messages?
Comment 2 Ed Marshall 2002-10-07 21:43:11 EDT
I can reproduce it every time, in any folder with more than two messages. The
two selected messages can be of any content-type, I've tried it with both text
and html. The result is always a blank preview window, just like you'd get if
multiple messages are selected and you press 'q' to open it up. My best guess is
that evolution still thinks that multiple messages are selected, and refuses to
display anything.

Something important I failed to mention in the original bug report: this is with
IMAP folders (server is courier-imap). Lemme test how this works with local
folders...yep, same problem.

If I have a spare minute (hour? weekend?) this might be the kick in the butt
I've been needing to take a stroll through the evolution source. ;-)

For the record, this is a from-scratch installation of RH 8.0, and a fresh run
of evolution, nothing held-over from another system. I vaguely remember
something similar happening with another 7.2 system running Ximian's build of
evolution, but didn't spend a whole lot of time looking at it at the time. Hmmm,
wait a minute...

Yep. I'm not the only one who noticed:


Looks like it was a gal bug. Hope this helps!
Comment 3 Jeremy Katz 2002-10-07 21:55:53 EDT
Don't see the obvious changelog entry where the fix was committed and it
definitely doesn't seem to be in the evolution-1-0-branch of gal, so fixing it
will probably have to wait until gal gets bumped for evolution 1.2
Comment 4 Havoc Pennington 2002-12-19 18:49:41 EST
This may well be fixed in rawhide, then, it sounds like.
Comment 5 Jeremy Katz 2002-12-19 19:03:34 EST
Yep should be fixed in rawhide now

Note You need to log in before you can comment on or make changes to this bug.